/**
 * Settings modules
 * @namespace settings
 * @author Taka Okunishi
 *
 */



/**
 * Define an object property getter with require function.
 * @private
 */
function getRequire (moduleName) {
    return {
        enumerable: true,
        get: function () {
            return require(moduleName);
        }
    };
}

// Export modules with lazy loading.
Object.defineProperties(exports, {
    scaffoldSetting: getRequire('./scaffold-setting'),
    secrets: getRequire('./secrets'),
    styleColorSetting: getRequire('./style-color-setting'),
    styleThemeSetting: getRequire('./style-theme-setting')

});
